Page MenuHomePhabricator

html2wt: Missing implementation of 'ParsoidFetchTemplateData' to fetch templatedata
Closed, ResolvedPublic

Description

DataAccess.php for the integrated mode invokes the 'ParsoidFetchTemplateData' hook but the TemplateData extension doesn't implement this hook currently.

Implementing this is a blocker for further production deployments, and also highlights a testing gap that we didn't discover this till now even after all our testing on the beta cluster and test wiki. And, I suppose mediawiki.org doesn't use templatedata much either.

Details

Related Gerrit Patches:
mediawiki/extensions/TemplateData : wmf/1.35.0-wmf.5Implement ParsoidFetchTemplateData hook for Parsoid/PHP
mediawiki/extensions/TemplateData : masterImplement ParsoidFetchTemplateData hook for Parsoid/PHP

Event Timeline

ssastry triaged this task as High priority.Nov 22 2019, 9:41 PM
ssastry created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 22 2019, 9:41 PM
ssastry added a subscriber: mobrovac.

@mobrovac, we may have to push back Tuesday's deploy to the following week since we need this code to be implemented and then ride the train into production.

ssastry claimed this task.Nov 22 2019, 9:51 PM
ssastry moved this task from Backlog to Porting on the Parsoid-PHP board.

Change 552620 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[mediawiki/extensions/TemplateData@master] WIP: Implement ParsoidFetchTemplateData hook for Parsoid/PHP

https://gerrit.wikimedia.org/r/552620

@ssastry note that if you let it ride the train, that means setting switching back for two weeks (this week + next week for the train). Ideally, you may want to put the patch up for SWAT as soon as it gets merged into master (either Tuesday or next Monday).

Change 552620 merged by jenkins-bot:
[mediawiki/extensions/TemplateData@master] Implement ParsoidFetchTemplateData hook for Parsoid/PHP

https://gerrit.wikimedia.org/r/552620

Change 552871 had a related patch set uploaded (by Reedy; owner: Subramanya Sastry):
[mediawiki/extensions/TemplateData@wmf/1.35.0-wmf.5] Implement ParsoidFetchTemplateData hook for Parsoid/PHP

https://gerrit.wikimedia.org/r/552871

Change 552871 merged by jenkins-bot:
[mediawiki/extensions/TemplateData@wmf/1.35.0-wmf.5] Implement ParsoidFetchTemplateData hook for Parsoid/PHP

https://gerrit.wikimedia.org/r/552871

Mentioned in SAL (#wikimedia-operations) [2019-11-25T18:55:40Z] <lucaswerkmeister-wmde@deploy1001> Synchronized php-1.35.0-wmf.5/extensions/TemplateData/: SWAT: [[gerrit:552871|Implement ParsoidFetchTemplateData hook for Parsoid/PHP (T238954)]] (duration: 00m 53s)

ssastry closed this task as Resolved.Nov 25 2019, 6:56 PM